Bug 102806 - Missing BuildRequires in spec file
Missing BuildRequires in spec file
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 09:32 EDT by Dams
Modified: 2007-04-18 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 17:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-08-21 09:32:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[anvil@gruyere ~]# rpmbuild --rebuild up2date-3.9.10-2.src.rpm
Installation de up2date-3.9.10-2.src.rpm
[SNIP]
gcc -fPIC -Wall -O2 -fomit-frame-pointer -I/usr/include/python2.2 -c -o
dmimodule.o dmimodule.c
dmimodule.c:18:20: Python.h: No such file or directory
dmimodule.c:150: parse error before "PyObject_HEAD"
[SNIP Once python-devel is installed]
make[1]: Leaving directory `/mnt/other/BUILD/up2date-3.9.10/man'
make[1]: Entering directory `/mnt/other/BUILD/up2date-3.9.10/po'
cs.mo: make[1]: msgfmt: Command not found

Installing python-devel and gettext fixed build problems.
Please add them as BuildRequires in spec file.


Version-Release number of selected component (if applicable):
up2date(0:3.1.23.1-5)

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild.
Comment 1 Dams 2003-08-21 09:44:46 EDT
Sorry, i was talking about up2date(0:3.9.10-2). Not up2date(0:3.1.23.1-5).
Comment 2 Adrian Likins 2003-09-15 17:24:15 EDT
should be fixed in 3.9.28

Note You need to log in before you can comment on or make changes to this bug.